man.hyphenate
Prev | Hyphenation, justification, and breaking | Next

## man.hyphenate

man.hyphenate — Enable hyphenation?

## Synopsis

    <xsl:param name="man.hyphenate">0</xsl:param>

## Description

If non-zero, hyphenation is enabled.

### Note

The default value for this parameter is zero because groff is not particularly smart about how it does hyphenation; it can end up hyphenating a lot of things that you don't want hyphenated. To mitigate that, the default behavior of the stylesheets is to suppress hyphenation of computer inlines, filenames, and URLs. (You can override the default behavior by setting non-zero values for the `man.hyphenate.urls`, `man.hyphenate.filenames`, and `man.hyphenate.computer.inlines` parameters.) But the best way is still to just globally disable hyphenation, as the stylesheets do by default.

The only good reason to enabled hyphenation is if you have also enabled justification (which is disabled by default). The reason is that justified text can look very bad unless you also hyphenate it; to quote the “Hypenation” node from the groff info page:

> Since the odds are not great for finding a set of words, for every output line, which fit nicely on a line without inserting excessive amounts of space between words, 'gtroff' hyphenates words so that it can justify lines without inserting too much space between words.

So, if you set a non-zero value for the `man.justify` parameter (to enable justification), then you should probably also set a non-zero value for `man.hyphenate` (to enable hyphenation).

Prev | Up | Next
Hyphenation, justification, and breaking | Home | man.hyphenate.urls